* {
    margin: 0;
    padding: 0;
}

body {
    background: url(../images/pattern-background-desktop.svg) no-repeat;
    background-size: contain;
    background-color: hsl(225, 100%, 94%);
    font-family: "Red Hat Display", sans-serif;
    height: 100vh;
    width: 100vw;
    display: flex;
}

.banner {
    background: url(../images/illustration-hero.svg);
    background-size: cover;
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
    height: 26vh;
}

.main_container {
    width: 28em;
    background-color: white;
    margin: auto;
    text-align: center;
    border-radius: 20px;
    box-shadow: 1px 1px 40px #8d8db3;
    
}

/* content start */

.content {
    width: 80%;
    margin: 40px auto 20px;
}

.content h1 {
    font-weight: 900;
}

.content p {
    margin-top: 15px;
    font-size: 16px;
    font-weight: 500;
    color: hsl(224, 23%, 55%);
}

/* content end */

/* plan start */

.plan {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: hsl(225, 100%, 98%);
    border-radius: 20%;
    width: 80%;
    height: 10vh;
    margin: auto;
    border-radius: 10px;
    margin-bottom: 30px;
}

.plan .plan_container {
    display: flex;
}

.plan .plan_container .icon {
    background: url(../images/icon-music.svg) no-repeat;
    height: 50px;
    width: 50px;
    margin: 0 15px 0 20px;
}

.plan .plan_container .price h4 {
    font-size: 15px;
    margin-bottom: 5px;
}

.plan .plan_container .price p {
    color: hsl(224, 23%, 55%);
}

.plan .change {
    margin-right: 20px;
    font-size: 12px;
    font-weight: 900;
}

.plan .change a {
    color: hsl(245, 75%, 52%);
}

.plan .change a:hover {
    opacity: 0.7;
}

/* plan end */


/* buttons start */

.buttons {
    display: flex;
    flex-direction: column;
    margin: 20px auto;
    width: 80%;
}

.buttons .proceed {
    background-color: hsl(245, 75%, 52%);
    color: white;
    height: 45px;
    font-size: 14px;
    font-weight: 700;
    border-radius: 10px;
    margin-bottom: 10px;
    border-style: none;
    box-shadow: 1px 1px 10px #8d8db3;
}

.buttons .proceed:active {
    border-style: none;
}

.buttons .proceed:focus-visible {
    outline: none;
}

.buttons .proceed:hover {
    opacity: 0.7;
    cursor: pointer;
}

.buttons .cancel {
    background-color: white;
    border-color: transparent;
    color: hsl(224, 23%, 55%);
    height: 45px;
    font-size: 14px;
    font-weight: 700;
    border-radius: 10px;
}
.buttoms .cancel:active {
    border-style: none;
}
.buttons .cancel:focus-visible {
    outline: none;
}

.buttons .cancel:hover {
    color: black;
    cursor: pointer;
}

/* buttons end */

@media only screen and (max-width: 1400px) {
    body {
        font-size: 14px;
    }
}
@media only screen and (min-width: 1400px) {
    body {
        font-size: 16px;
    }
}